ApiOzoneBucketRef (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiOzoneBucketRef

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiOzoneBucketRef

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiOzoneBucketRef
      extends Object

  Reference to an Ozone bucket.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiOzoneBucketRef()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiOzoneBucketRef` | `bucket(String bucket)`
    `boolean` | `equals(Object o)`
    `String` | `getBucket()` Get bucket
    `String` | `getVolume()` Get volume
    `int` | `hashCode()`
    `void` | `setBucket(String bucket)`
    `void` | `setVolume(String volume)`
    `String` | `toString()`
    `ApiOzoneBucketRef` | `volume(String volume)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiOzoneBucketRef

          public ApiOzoneBucketRef()

  - ### Method Detail

    - #### volume

          public ApiOzoneBucketRef volume(String volume)

    - #### getVolume

          public String getVolume()

      Get volume
      Returns:
        volume

    - #### setVolume

          public void setVolume(String volume)

    - #### bucket

          public ApiOzoneBucketRef bucket(String bucket)

    - #### getBucket

          public String getBucket()

      Get bucket
      Returns:
        bucket

    - #### setBucket

          public void setBucket(String bucket)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.